#include <linux/init.h>
#include <linux/kernel.h>

#define DEBUG 1

/*
 * Allows printing debug information over the serial
 * line even before the console is initialized. Uses
 * the low level debug functions.
 * To use in the code, just add:
 *
 * 	extern void serial_printf(char *fmt, ...);
 *
 * For debugging only, do not leave serial_printf
 * statements in the code.
 *
 * Copied from the drivers/video/cyber2000fb.h
 */
#if defined(DEBUG) && defined(CONFIG_DEBUG_LL)
void
serial_printf(char *fmt, ...)
{
	extern void printascii(const char *);
	char buffer[128];
	va_list ap;

	va_start(ap, fmt);
	vsprintf(buffer, fmt, ap);
	va_end(ap);

	printascii(buffer);
}
#else
#define serial_printf(x...) do { } while (0)
#endif
